Page MenuHomePhabricator

Babel autocreate edit summary in user language instead of content language
Closed, ResolvedPublic

Description

Like bug 44010 but without ULS and on edit summary (not log entry); may need backporting to 1.19 and 1.20 of core fixes:
Change-Id: I6baf972352fd69660c09a5d413ff55b81aa31305
Change-Id: Idc11b54752450321e01d92004e08fc95fb6170e6


15:25, 3 February 2013 (diff | hist) . . (+77)‎ . . N Category:En-2 ‎ (Creo automaticamente la pagina della categoria Babel.) (top)
15:25, 3 February 2013 (diff | hist) . . (+72)‎ . . N Category:En ‎ (Creo automaticamente la pagina della categoria Babel.) (top)
15:25, 3 February 2013 (diff | hist) . . (+77)‎ . . N Category:It-N ‎ (Creo automaticamente la pagina della categoria Babel.) (top)
15:24, 3 February 2013 (diff | hist) . . (+72)‎ . . N Category:It ‎ (Creo automaticamente la pagina della categoria Babel.) (top)

MediaWiki:Babel-autocreate-user, MediaWiki:babel-autocreate-text-levels, MediaWiki:babel-autocreate-text-main are correctly loaded in the wiki's language.
https://wiki.openstreetmap.org/w/index.php?title=Category:It&oldid=863022


MediaWiki 1.20.2 (077614c)
Babel (Versione MLEB 2013.01) (74ae4d0)

(No ULS)


Version: unspecified
Severity: normal
URL: http://wiki.openstreetmap.org/wiki/Special:Contributions/Babel_AutoCreate?uselang=en
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=44010
https://bugzilla.wikimedia.org/show_bug.cgi?id=19363

Details

Reference
bz44623

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:31 AM
bzimport set Reference to bz44623.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Feb 3 2013, 3:23 PM

The fixes you linked were already backported long ago. 1.20.5 is latest stable.

Not sure if this is something else though.

this is already in the REL1_21 branch, too

I don't see anything left to do in this ticket. Nemo?

(In reply to comment #3)

I don't see anything left to do in this ticket. Nemo?

The fixes were backported to 1.20 after I tested the bug and the new configuration of the wiki doesn't allow to test it again. We need another 1.20 wiki with default configuration to test if the bug is fixed.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2015, 11:35 PM
TTO claimed this task.Jan 1 2017, 2:13 PM
TTO added a subscriber: TTO.

Still broken. Easily fixed though...

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 1 2017, 2:13 PM

Change 330044 had a related patch set uploaded (by TTO):
Use content language for Babel AutoCreate's edit summaries

https://gerrit.wikimedia.org/r/330044

Change 330044 merged by jenkins-bot:
Use content language for Babel AutoCreate's edit summaries

https://gerrit.wikimedia.org/r/330044

TTO closed this task as Resolved.Jan 2 2017, 12:53 AM